summaryrefslogtreecommitdiff
path: root/dmake/tests/infra-0
diff options
context:
space:
mode:
Diffstat (limited to 'dmake/tests/infra-0')
-rwxr-xr-xdmake/tests/infra-044
1 files changed, 44 insertions, 0 deletions
diff --git a/dmake/tests/infra-0 b/dmake/tests/infra-0
new file mode 100755
index 000000000000..494ffa44283a
--- /dev/null
+++ b/dmake/tests/infra-0
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# 01.06.2005 Volker Quetschke
+# Basic test of dmake existence and the needed infrastructure.
+
+: ${DMAKEPROG:=dmake}
+file1="mymakefile.mk"
+file2="mytestfile"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Test for "test" programm in path
+which test > /dev/null || { echo "Failure! \"test\" program missing." ; exit 1; }
+echo "Found \"test\" program."
+test=`which test`
+
+# Test for "echo" programm in path
+which echo > /dev/null || { echo "Failure! \"echo\" program missing." ; exit 1; }
+echo "Found \"echo\" program."
+
+# Test for dmake program
+${test} -x "${DMAKEPROG}" || { echo "Failure! \"dmake\" is missing." ; exit 1; }
+echo "Found \"dmake\" program."
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+# simple makefile
+${file2}:
+ @echo 'Generating ${file2}'
+ touch ${file2}
+EOT
+
+${DMAKEPROG} -r -f $file1
+result=$?
+if ${test} ! -e "${file2}"; then
+ echo "File missing"
+ result=1
+fi
+
+${test} $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+${test} $result -ne 0 && echo "Failure!"
+exit $result
+